############################################################
#
# Configuration file for servlets.
#
#

###########################################################
#
#                  STARTUP SERVLETS
#
# Comma or space delimited list of servlets to launch
# on startups. This can either be a class name or alias.
#
# ex: servlets.startup=snoop,SysPropServlet,ServletMonitor,
#     monitor.
# servlets.startup=snoop

###########################################################
#
#                  SERVLET ALIASES
#
# This defines aliases from which servlets can be invoked.
# Each alias give a new instance of the servlet. This
# means that if a servlet is invoked both by class name and
# by alias name, it will result in TWO instances of the 
# servlet being created.
#
# The format of this property is servlet.<alias>.code=<classname>
#
# ex: servlet.snoop.code=SnoopServlet
# 
servlet.monitor.code=org.apache.jserv.test.ServletMonitor
servlet.prop.code=SysPropServlet

###########################################################
#
#                  COMMON INIT PARAMETERS
#
# Parameters passed here are given to each of servlets. You
# should put configuration information that is common to all
# servlets.
#
# The value of the property is a comma delimited list of
# name=value pair that is accessible to the servlet in via
# the method getInitParameter() in ServletConfig.
#
# ex:
# servlets.default.initArgs=unused=Hello World
# admin.email=foo@bar.org

############################################################
#
#            ALIASED SERVLET INIT PARAMETERS
#
# These properties defines init parameters for the servlet
# that have alias. 
#
# The format of the property is 
#       servlet.<alias>.initArgs=name1=value1,name2=value2
#
# ex: servlet.snoop.initArgs=unused=Hello World
#
#
# Note: Init parameters for servlets invoked by class name 
# should be put in property file named <classname>.initArgs.
#
# 
# servlet.snoop.initArgs=test1=value2
